Bundler::GemspecError: Could not read gem at /home/coeus/.rvm/gems/ruby-2.0.0-p0@horoscope/cache/ It may be corrupted.


Bundler::GemspecError: Could not read gem at
/home/coeus/.rvm/gems/ruby-2.0.0-p0@horoscope/cache/rspec-mocks-2.14.1.gem. It may be corrupted.

An error occurred while installing rspec-mocks (2.14.1), and Bundler cannot continue.
Make sure that `gem install rspec-mocks -v ‘2.14.1’` succeeds before bundling.

Solution: As the error in yellow Lines shows that It may be corrupted So I deleted that cache directory

rm -rf /home/coeus/.rvm/gems/ruby-2.0.0-p0@horoscope/cache
Advertisements

I am Senior Software Engineer. I love reading, writing, sharing,developing, hiking, movies, trips, mountains, brooks, hills etc.

Tagged with:
Posted in Gems and plugins
2 comments on “Bundler::GemspecError: Could not read gem at /home/coeus/.rvm/gems/ruby-2.0.0-p0@horoscope/cache/ It may be corrupted.
  1. WaKeMaTTa says:

    Thx so much, it works =)

    3 hours finding this solution. =P

Leave a Reply

Fill in your details below or click an icon to log in:

WordPress.com Logo

You are commenting using your WordPress.com account. Log Out / Change )

Twitter picture

You are commenting using your Twitter account. Log Out / Change )

Facebook photo

You are commenting using your Facebook account. Log Out / Change )

Google+ photo

You are commenting using your Google+ account. Log Out / Change )

Connecting to %s

StackOverFlow
Categories
Archives
%d bloggers like this: